Subject: Re: [PATCH 3/4] [XFRM]: Kill some bloat

From: Paul Moore <[email-masked]>
Date: Sat, 5 Jan 2008 22:25:18 -0500

On Saturday 05 January 2008 7:29:35 pm Herbert Xu wrote:
> Ilpo J??rvinen <[email-masked]> wrote:
> > Signed-off-by: Ilpo J??rvinen <[email-masked]>
>
> Acked-by: Herbert Xu <[email-masked]>
>
> > #ifdef CONFIG_AUDITSYSCALL
> > -static inline void xfrm_audit_helper_sainfo(struct xfrm_state *x,
> > -                                           struct audit_buffer
> > *audit_buf) +static void xfrm_audit_helper_sainfo(struct xfrm_state *x,
> > +                                    struct audit_buffer *audit_buf)
>
> We should never use inline except when it's on the fast path and this
> is definitely not a fast path.  If a function ends up being called
> just once the compiler will most likely inline it anyway, making the
> use of the keyword inline redundant.

For the record the inline was there before the audit patch I submitted ... 
then again, I suppose I could have removed the inline while I was at it, I 
just didn't notice it.  Sorry about that.

Thanks for fixing this guys.

-- 
paul moore
linux security @ hp